(function ($) {

    var saveLivechatSettings = function(license, email) {
        $('iframe#login-with-livechat').addClass('hidden');
        $('#create-account-text').addClass('hidden-with-space');
        $('.custom-livechat-login-button').removeClass('hidden');


        var $license_field = $('#jform_params_livechat_license'),
            $login_field = $('#jform_params_livechat_login');

        $license_field.val(license);
        $login_field.val(email);
        $('#toolbar-apply button').click();
    };

    var processLivechatMessage = function(event) {
        if(event.origin === 'https://addons.livechatinc.com'){
            var livechatMessage = JSON.parse(event.data);
            if (livechatMessage && (livechatMessage.type === 'logged-in' && livechatMessage.eventTrigger === 'click') || livechatMessage.type === 'signed-out') {
                console.log(livechatMessage);
                saveLivechatSettings(livechatMessage.license, livechatMessage.email);
            }
        }
    };

    var sendLivechatMessage = function(msg) {
        $('iframe#login-with-livechat').get(0).contentWindow.postMessage(msg, '*');
    };

    $(document).ready(function(){
        window.addEventListener('message', processLivechatMessage, false);
    });

    $(document).on('click', '#livechat_delete_settings', function(e) {
        sendLivechatMessage('logout');
        e.preventDefault();
    });
})(jQuery);
